SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001901: openvpnclient does not install ip rule entries for pushed routing information - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001901Endian FirewallNetwork related (VPN, uplinks)public2009-05-26 13:262009-10-27 12:00
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target Version2.3Fixed in Version2.3 
Summary0001901: openvpnclient does not install ip rule entries for pushed routing information
Descriptionfor earch pushed subnet it is necessary to install an:

ip rule add prio 10 to SUBNET/BITS lookup main

currently, those are missing, so policy routing rules which would include traffic from/to those networks will always have precedence over those local routes.
Then strange things will happen like responses of requests coming in through vpn will go out through an uplink.

openvpnbridge.py script needs to install rules for every pushed subnet, which can be read out from route_{parm}_{n} environment variables.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-05-26 13:26 peter-endian New Issue
2009-05-26 13:26 peter-endian Assigned To => peter-endian
2009-05-27 09:31 peter-endian Target Version future => 2.3
2009-05-27 18:31 peter-endian Status new => resolved
2009-05-27 18:31 peter-endian Fixed in Version => 2.3
2009-05-27 18:31 peter-endian Resolution open => fixed
2009-10-27 12:00 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker